OpenapiExt
Get subscription status for a client app
Returns subscription information for the specified client app. # Authentication Requires valid API Key via X-API-Key header # Realm Isolation The API key must belong to the same realm as the client app. Cross-realm requests will return 403 Forbidden. # Example ```bash curl -X GET \ https://api.example.com/api/ext/subscription/client-app-123 \ -H "X-API-Key: your-api-key" ```
Returns subscription information for the specified client app.
Authentication
Requires valid API Key via X-API-Key header
Realm Isolation
The API key must belong to the same realm as the client app. Cross-realm requests will return 403 Forbidden.
Example
curl -X GET \ https://api.example.com/api/ext/subscription/client-app-123 \ -H "X-API-Key: your-api-key"Authorization
api_key X-API-Key<token>
Client-app API key (third-party external API).
In: header
Path Parameters
clientAppId*string
Client app ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/ext/subscription/string"{ "billingType": "string", "clientAppId": "string", "entitlementKey": "string", "hasSubscription": true, "paymentProvider": "string", "status": "string"}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}